On this page
Lists the Unsubscribers of the specified project. List returns Unsubscribers sorted by create_time descending.
The caller must have messaging.unsubscribers.list permission on the project.
HTTP request
GET https://messaging.api.enfonica.com/v1/{parent}/unsubscribers
Path parameters
| Parameters | |
|---|---|
| parent | string The resource name of the parent of which to list unsubscribers. Must be of the form projects/*. |
Query parameters
| Parameters | |
|---|---|
| pageSize | number (int32 format) The maximum number of Unsubscribers to return in the response. Default value is 10 and maximum value is 100. |
| pageToken | string A pagination token returned from a previous call to ListUnsubscribers that indicates where this listing should continue from. |
| phone | string Only return the unsubscriber that matches the phone number exactly. |
Request body
The request body must be empty.
Response body
The ListUnsubscribers response.
JSON representation
{
"unsubscribers": [
{
object (Unsubscriber)
}
],
"nextPageToken": string
}| Fields | |
|---|---|
| unsubscribers[] | object (Unsubscriber) A possibly paginated list of Unsubscribers that are direct descendants of the specified parent resource. |
| nextPageToken | string A pagination token returned from a previous call to ListUnsubscribers that indicates from where listing should continue. |